function DATAinsert = cellMakerPE(IDcentralina,DTcatena,NodeNum,cPE,contPE,ListaDate,...
    ARRAYdatePE,Dati_PE,ErrPendulum)

l = ListaDate;
DATAinsert = cell(l,8);
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdatePE(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdatePE(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Dati_PE(ii,contPE); % X
    DATAinsert{ii,7} = Dati_PE(ii,contPE+1); % Y
    DATAinsert{ii,8} = ErrPendulum(ii,cPE);
end

end
